0

I'm experiencing an issue with installing any module in magento connect. I get the following error:

community/Sparx_Fblikebox: error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure

2 Answers 2

0

I've been getting the same issue since yesterday evening.

It must be an issue on Magento's servers.

Try installing it manually

1
  • Thanks for the reply. Well atleast it's not a problem with my server.. i'll try installing manually. Thanks!
    – Darren
    Commented Feb 20, 2015 at 10:22
1

It has to do with the fact that Magento updated Magento Connect to deny SSLV3 the day before yesterday. The problem is, Magento is still trying to connect with SSLV3 with Curl. You have to change one line in /downloader/lib/Mage/HTTP/Client/Curl.php. You can see the fix here: https://www.dwdonline.com/blog/fix-magento-error14077410ssl-routinesssl23_get_server_hellosslv3-alert-handshake-failure.html

3
  • This is integrated in 1.14.2.0 EE but still same issue persists.
    – dchayka
    Commented Mar 28, 2016 at 20:19
  • My bug fix above is for CE 1.9.x, but it should be close. You are getting this when you try to install an extension with Magento Connect? Commented Mar 30, 2016 at 3:28
  • No, started to experience this locally (haven't tested paypal locally in a while). Ended up updating OpenSSL to latest version and still same problem persisted. I believe it's openssl configuration/symlink as same code on a different server works like a charm.
    – dchayka
    Commented Mar 30, 2016 at 17:30

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.